About Debian

Why doesn’t it has the latest package?

Apache2 is already the newest version 2.24.25 at Debian.

Apache2 is already the newest version 2.24.34 at Official sites.

It happen because there’s no repository update.

Try upgrade your distribution.

sudo apt-get update &&
sudo apt-get upgrade &&
sudo apt-get dist-upgrade

Update repository from Debian 9 (stretch) to Debian 10 (buster).

sudo sed -i 's/stretch/buster/g' /etc/apt/sources.list &&
sudo apt-get update &&
sudo apt-get upgrade &&
sudo apt-get dist-upgrade

It’s experimental.
Finish.

Advertisements

Brave Browser

I think Brave can be used as a favorite browser besides Firefox and Chrome. It is easy to install on Ubuntu.

Add Brave repository into /etc/apt/source.list.d/

curl https://s3-us-west-2.amazonaws.com/brave-apt/keys.asc | sudo apt-key add -
echo "deb [arch=amd64] https://s3-us-west-2.amazonaws.com/brave-apt `lsb_release -sc` main" | sudo tee -a /etc/apt/sources.list.d/brave-`lsb_release -sc`.list

Then do an update and install it.

sudo apt update && sudo apt install -y

Cons of Brave
Became an unresponsive browser when accessing private network sites.

Finish.